GWT 2.7.0

## com.google.gwt.user.client
Class BaseListenerWrapper<T>

    java.lang.Object
      com.google.gwt.user.client.BaseListenerWrapper<T>

Type Parameters:
  `T` - listener type to be wrapped

All Implemented Interfaces:
  EventHandler

Direct Known Subclasses:
  BaseListenerWrapper.WrapWindowClose, BaseListenerWrapper.WrapWindowResize, BaseListenerWrapper.WrapWindowScroll, ListenerWrapper

Deprecated. will be removed in GWT 2.7 with the handler listeners themselves

    @Deprecated
    public abstract class BaseListenerWrapper<T>

extends java.lang.Object
implements EventHandler

Legacy listener support hierarchy root. Note, this class and its subtypes all assume that the handlers are stored in handler managers. This class, and its children are used to gather the bulk of the legacy glue code in one place, for easy deletion when Listener methods are deleted.

Nested Class Summary
`(package private) static class` | `BaseListenerWrapper.WrapWindowClose` Deprecated.
`(package private) static class` | `BaseListenerWrapper.WrapWindowResize` Deprecated.
`(package private) static class` | `BaseListenerWrapper.WrapWindowScroll` Deprecated.

Field Summary
`(package private) T` | `listener` Deprecated. Listener being wrapped.

Constructor Summary
`protected` | `BaseListenerWrapper(T listener)` Deprecated. Creates a new listener wrapper.

Method Summary

`protected static

`<H extends EventHandler> void`

`

`baseRemove(HandlerManager manager, java.lang.Object listener, GwtEvent.Type... types)`
Deprecated. Helper method to remove all wrapped listeners from the given event types.

`protected T` | `getListener()` Deprecated. Gets the listener being wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    final T listener

  Deprecated.
  Listener being wrapped.

Constructor Detail

### BaseListenerWrapper

    protected BaseListenerWrapper(T listener)

  Deprecated.
  Creates a new listener wrapper.

  Parameters:
    `listener` - the listener to wrap

Method Detail

### baseRemove

    protected static <H extends EventHandler> void baseRemove(HandlerManager manager,
                                                              java.lang.Object listener,
                                                              GwtEvent.Type... types)

  Deprecated.
  Helper method to remove all wrapped listeners from the given event types.

  Type Parameters:
    `H` -
  Parameters:
    `manager` - the manager to remove the listener from
    `listener` - the listener
    `types` - the event types to remove the listener from

### getListener

    protected T getListener()

  Deprecated.
  Gets the listener being wrapped.

  Returns:
    the wrapped listener

GWT 2.7.0